Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml
Class TriggerEvent

    java.lang.Object
      org.apache.commons.scxml.TriggerEvent

All Implemented Interfaces:
  Serializable

public class TriggerEvent
extends Object
implements Serializable

A class representing an event. Specific event types have been defined in reference to SCXML. NOTE: Instances are `Serializable` as long as the associated payload, if any, is `Serializable`.

See Also:
  Serialized Form

Field Summary
`static int` | `CALL_EVENT` `CALL_EVENT`.
`static int` | `CHANGE_EVENT` `CHANGE_EVENT`.
`static int` | `ERROR_EVENT` `ERROR_EVENT`.
`static int` | `SIGNAL_EVENT` `SIGNAL_EVENT`.
`static int` | `TIME_EVENT` `TIME_EVENT`.

Constructor Summary
`TriggerEvent(String name, int type)` Constructor.
`TriggerEvent(String name, int type, Object payload)` Constructor.

Method Summary
`boolean` | `equals(Object obj)` Define an equals operator for TriggerEvent.
`String` | `getName()`
`Object` | `getPayload()`
`int` | `getType()`
`int` | `hashCode()` Returns the hash code for this TriggerEvent object.
`String` | `toString()` Returns a string representation of this TriggerEvent object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CALL_EVENT

    public static final int CALL_EVENT

  `CALL_EVENT`.

  See Also:
    Constant Field Values

### CHANGE_EVENT

    public static final int CHANGE_EVENT

  `CHANGE_EVENT`.

  See Also:
    Constant Field Values

### SIGNAL_EVENT

    public static final int SIGNAL_EVENT

  `SIGNAL_EVENT`.

  See Also:
    Constant Field Values

### TIME_EVENT

    public static final int TIME_EVENT

  `TIME_EVENT`.

  See Also:
    Constant Field Values

### ERROR_EVENT

    public static final int ERROR_EVENT

  `ERROR_EVENT`.

  See Also:
    Constant Field Values

Constructor Detail

### TriggerEvent

    public TriggerEvent(String name,
                        int type,
                        Object payload)

  Constructor.

Parameters:
  `name` - The event name
  `type` - The event type
  `payload` - The event payload, must be `Serializable`

### TriggerEvent

    public TriggerEvent(String name,
                        int type)

  Constructor.

Parameters:
  `name` - The event name
  `type` - The event type

Method Detail

### getName

    public String getName()

  Returns:
    Returns the name.

### getPayload

    public Object getPayload()

  Returns:
    Returns the payload.

### getType

    public int getType()

  Returns:
    Returns the type.

### equals

    public boolean equals(Object obj)

  Define an equals operator for TriggerEvent.

  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Returns a string representation of this TriggerEvent object.

  See Also:
    `Object.toString()`

### hashCode

    public int hashCode()

  Returns the hash code for this TriggerEvent object.

  See Also:
    `Object.hashCode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2008 The Apache Software Foundation. All Rights Reserved.